Subject: bug#26589: Can't built Emacs from source (both master and 25.1 from tarball fail)

From: Göktuğ Kayaalp <[email-masked]>
Date: Sat, 22 Apr 2017 19:10:55 +0300

On 2017-04-21 20:33 +03, Eli Zaretskii <[email-masked]> wrote:
>> Date: Fri, 21 Apr 2017 08:20:47 -0400
>> From: Cadadr <[email-masked]>
>> Cc: "[email-masked]" <[email-masked]>
>> 
>> I'm unable to build Emacs on my Xubuntu 16.10 machine from various
>> versions. Not having a built Emacs
>> handy, I have to send this bug report from a webmail client, so
>> please excuse formatting issues and not using
>> M-x report-emacs-bug.
>> 
>> - The 25.1 tarball
>> 
>> My build configuration
>> 
>> ./configure \
>> --prefix=$HOME/local \
>> --with-x-toolkit=gtk3 \
>> --with-modules \
>> --with-file-notification=yes
>
> Try running configure with REL_ALLOC=no.

I've had to switch linux distros on my workstation (Xubuntu->Fedora),
and now the build completes perfectly, without errors.  Not having
access to a Xubuntu installation, I can't reproduce or further debug
this issue, I'm sorry.

But both OS's had GCC 6 on them, and maybe what caused the failure on
Xubuntu was a certain configuration of the compiler on that platform.
Again, I can't test the configuration variable on that system, please
excuse me.  But on Fedora with GCC 6.3.1 and without REL_ALLOC=no, Emacs
does compile.

I guess this bug report can be closed if there's nobody else that can
reproduce the problem.  Again, sorry for the botherment.

-gk.